Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.BOB
Class MUXlisten

    java.lang.Object
      net.i2p.BOB.MUXlisten

All Implemented Interfaces:
  Runnable

    public class MUXlisten

extends Object
implements Runnable

Multiplex listeners for TCP and I2P

Author:
  sponge

Field Summary
`(package private) boolean` | `come_in`
`(package private) boolean` | `go_out`

Constructor Summary
`MUXlisten(AtomicBoolean lock, NamedDB database, NamedDB info, Log _log)` Constructor Will fail if INPORT is occupied.

Method Summary
`void` | `run()` MUX sockets, fire off a thread to connect, get destination info, and do I/O

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### go_out

    boolean go_out

### come_in

    boolean come_in

Constructor Detail

### MUXlisten

    MUXlisten(AtomicBoolean lock,
              NamedDB database,
              NamedDB info,
              Log _log)
        throws I2PException,
               IOException,
               RuntimeException

  Constructor Will fail if INPORT is occupied.

  Parameters:
    `info` - DB entry for this tunnel
    `database` - master database of tunnels
    `_log` -
  Throws:
    `I2PException`
    `IOException`
    `RuntimeException`

Method Detail

### run

    public void run()

  MUX sockets, fire off a thread to connect, get destination info, and do I/O

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD